Summary:       A library of functions for manipulating PNG image format files

Name:          libpng
Version:       1.6.40
Release:       2%{?dist}
License:       zlib
URL:           http://www.libpng.org/pub/png/
Source0:       https://github.com/glennrp/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:       pngusr.dfa

Patch3000:     libpng-multilib.patch
Patch3001:     libpng-fix-arm-neon.patch

BuildRequires: gcc make autoconf automake libtool
BuildRequires: zlib-devel

%description
libpng is the official PNG reference library. It supports almost all PNG features, is extensible, and has been extensively tested for over 23 years. 

%package devel
Summary:       Development files for libpng
Requires:      %{name} = %{version}-%{release}
Requires:      zlib-devel pkgconfig

%description devel
This package contains the libraries, header files and documentation necessary.

%package static
Summary:       Static PNG image format file library
Requires:      %{name}-devel = %{version}-%{release}

%description static
The libpng-static package contains the statically linkable version of libpng.
Linking to static libraries is discouraged for most applications, but it is
necessary for some boot packages.

%prep
%autosetup -n %{name}-%{version} -p1
cp -p %{SOURCE1} .

%build
autoreconf -vif
%configure
%make_build DFA_XTRA=pngusr.dfa

%check
make check

%install
%make_install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license LICENSE
%{_libdir}/libpng16.so.*
%{_mandir}/man5/*

%files devel
%doc libpng-manual.txt example.c TODO CHANGES
%{_bindir}/*
%{_includedir}/*
%{_libdir}/libpng*.so
%{_libdir}/pkgconfig/libpng*.pc
%{_mandir}/man3/*

%files static
%{_libdir}/libpng*.a

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.40-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Jul 27 2023 kianli <kianli@tencent.com> - 1.6.40-1
- Upgrade to 1.6.40

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.37-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.37-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Apr 15 2022 jackbertluo <jackbertluo@tencent.com> - 1.6.37-1
- Initial build

